% WATERSHED MODEL
% by Javier Ameghino jameghin@dc.uba.ar
% Facultad de Ciencias Exactas y Naturales
% Universidad de Buenos Aires - 08/22/2000

[top]
components : Watershed

[Watershed]
type : cell
dim : (30,30,3)
delay : transport
defaultDelayTime : 1000
border : nowrapped
neighbors :                   Watershed(0,0,-2)
neighbors :                   Watershed(0,0,-1)

neighbors :                   Watershed(-1,0,0)
neighbors : Watershed(0,-1,0) Watershed(0,0,0) Watershed(0,1,0)
neighbors :                   Watershed(1,0,0)

neighbors :                   Watershed(-1,0,1)
neighbors : Watershed(0,-1,1) Watershed(0,0,1) Watershed(0,1,1)
neighbors :                   Watershed(1,0,1)

initialValue : 0
initialCellsValue : WaterShed2.val
localtransition : Hydrology

[Hydrology]

rule : {0.0022 + (0,0,0) - if((((-1,0,0) != ?) and (((0,0,1) + (0,0,0))>((-1,0,1) + (-1,0,0)))),(((((0,0,0) + (0,0,1) - (-1,0,0) - (-1,0,1))/1000) * (0,0,0))/1000),0) - if((((1,0,0) != ?) and (((0,0,1) + (0,0,0))>((1,0,1)  +  (1,0,0)))),(((((0,0,0) + (0,0,1) - (1,0,0) - (1,0,1))/1000) * (0,0,0))/1000),0) - if((((0,-1,0) != ?) and (((0,0,1) + (0,0,0))>((0,-1,1)+(0,-1,0)))),(((((0,0,0) + (0,0,1) - (0,-1,0) - (0,-1,1))/1000) * (0,0,0))/1000),0) - if((((0,1,0) != ?) and (((0,0,1) + (0,0,0))>((0,1,1) + (0,1,0)))),(((((0,0,0) + (0,0,1) - (0,1,0) - (0,1,1))/1000) * (0,0,0))/1000),0) + if((((-1,0,0) != ?) and (((-1,0,1) + (-1,0,0))>((0,0,1) + (0,0,0)))),((((-1,0,0) + (-1,0,1) - (0,0,0) - (0,0,1)) * (-1,0,0))/1000),0) + if((((1,0,0) != ?) and (((1,0,1) + (1,0,0))>((0,0,1) + (0,0,0)))),((((1,0,0) + (1,0,1) - (0,0,0) - (0,0,1)) * (1,0,0))/1000),0) + if((((0,-1,0) != ?) and (((0,-1,1) + (0,-1,0))>((0,0,1) + (0,0,0)))),((((0,-1,0) + (0,-1,1) - (0,0,0) - (0,0,1)) * (0,-1,0))/1000),0) + if((((0,1,0) != ?) and (((0,1,1) + (0,1,0))>((0,0,1) + (0,0,0)))),((((0,1,0) + (0,1,1) - (0,0,0) - (0,0,1)) * (0,1,0))/1000),0) } 1000 { cellpos(2)=0 }
rule : { (0,0,-2)+(0,0,-1) } 0 {cellpos(2)=2}
rule : { (0,0,0) } 1000 { t }